using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Graphic;

namespace HumanLikeBattleRobots.Logic
{
    class DamageBonus: Bonus
    {
        public DamageBonus(Vec2f position)
            : base(position)
        {
            sprite = new BonusSprite(1, 2);
            sprite.Position = position;
        }

        protected override void ApplyBonus()
        {
            GameManager.hitBonusTimer = 0.001f;
            GameManager.otherObjects.Remove(this);
        }
    }
}
